# Update product

> PUT /v1/products/{product_id}

Source: https://docs.trykintsugi.com/reference/update-product

API version: v1 (legacy API)

PUT /v1/products/{product_id}

Update product

The Update Product API allows users to modify the details of
    an existing product identified by its unique product_id. You can
    retrieve supported categories and subcategories from the
    [GET /products/categories endpoint](/reference/api/products/get-product-categories),
    or browse the full catalog with descriptions and examples in the
    [Product Categories guide](/docs/guides/product-categories)

Category: Products

Path parameters:
product_id (string, required) - Unique identifier of the product to be updated.

Request body:
id (string) - The unique identifier of the product to be updated.
external_id (string) - External identifier provided for the product,
        typically by the source system.
sku (string[])
name (string, required) - Name of the product.
description (string) - Description of the product.
status (ProductStatusEnum) - The approval status of the product.
  allowed values: APPROVED, PARTIALLY_APPROVED, PENDING, ARCHIVED
product_category (string, required) - Main category of the product.
    For example, Physical, Digital, etc. You can
    retrieve supported categories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
product_subcategory (string, required) - Subcategory of the product.
    For example, General Clothing, UNKNOWN, etc. You can
    retrieve supported subcategories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
tax_exempt (boolean, required) - Indicates whether the product is tax-exempt.
classification_failed (boolean) - Indicates if the product classification failed.

Response fields:
id (string, required)
external_id (string, required)
sku (string[], required)
code (string, required)
name (string, required)
description (string, required)
status (ProductStatusEnum, required)
  allowed values: APPROVED, PARTIALLY_APPROVED, PENDING, ARCHIVED
product_category (string, required) - Main category of the product.
        For example, Physical, Digital, etc. You can
        retrieve supported categories from [GET /products/categories endpoint](/reference/api/products/get-product-categories)
[truncated, see the reference page]

---

Index of every page: https://docs.trykintsugi.com/llms.txt
